/*
 * @(#)ProviderException.java	1.5 97/08/07
 * 
 * Copyright 1993-1997 Sun Microsystems, Inc. 901 San Antonio Road, 
 * Palo Alto, California, 94303, U.S.A.  All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * CopyrightVersion 1.2
 * 
 */

package com.novell.java.security;

/** Provides a runtime exception for Provider exceptions, such as
 * misconfiguration errors. This Provider exception may be subclassed
 * by Providers to throw specialized, provider-specific runtime errors.
 *
 * @version 1.5, 98/01/14
 * @author Benjamin Renaud */

public class ProviderException extends RuntimeException {

    /**
     * Constructs a ProviderException with no detail message.
     */
    public ProviderException() {
	super();
    }

    /**
     * Constructs a ProviderException with the specified detail
     * message. A detail message is a String that describes this
     * particular exception.  
     *
     * @param s The detail message string.
     */
    public ProviderException(String s) {
	super(s);
    }
}
